import java.util.Scanner;

public class GCDCalc
{
  // claculate and print GCD of two integers

  public static void main(String[] args)
  {
    Scanner scan = new Scanner(System.in);
    System.out.println("Calculates GCD of two positive integers");
    System.out.println("Enter integer value a (a > 0):");
    int a = scan.nextInt();    
    System.out.println("Enter integer value b (b > 0):");
    int b = scan.nextInt();

    System.out.print("The GCD of " + a + " and " + b + " is: ");
    System.out.println(gcd(a, b));
  }

  // comment out one version and leave the other version to compile
  
  /*
  // Tail recursive method
  private static int gcd(int a, int b)
  {
      if (b != 0)
        return gcd(b, a % b);
      return a;
  }
  */
  
  // Equivalent iterative method
  private static int gcd(int a, int b)
  {
    while (b != 0) {
      int dummy = b;
      b = a % b;
      a = dummy;
    }
    return a;
  }
  
}
